import request from '@/utils/request'

// ************************************** 礼品卡活动 **************************************

/**
 * 优易咨迅(平台公告)
 * @param params
 */
export function getGiftCardPageList(params: Record<string, any>) {
    return request.get(`system/miniSystem/getYouYiZiXunPage`, params)
}

/**
 * 获取礼品卡活动列表（供自定义组件调用）
 * @param params
 */
export function getGiftCardListByComponents(params: Record<string, any>) {
    return request.get(`shop_giftcard/giftcard/components`, params)
}

/**
 * 获取礼品卡活动详情
 * @param giftcard_id   礼品卡id
 */
export function getGiftCardDetail(id: any) {
    return request.get(`system/miniSystem/getYouYiZiXunInfo/${ id }`)
}

/**
 * 获取礼品卡设置
 */
export function getGiftCardConfig() {
    return request.get(`shop_giftcard/config`)
}